Package org.gradle.ide.visualstudio.plugins

# Class VisualStudioPlugin

java.lang.Object
org.gradle.plugins.ide.internal.IdePlugin
org.gradle.ide.visualstudio.plugins.VisualStudioPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class VisualStudioPlugin extends org.gradle.plugins.ide.internal.IdePlugin
A plugin for creating a Visual Studio solution for a gradle project.

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

  `project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualStudioPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getLifecycleTaskName()`
  `protected void`
  `onApply(Project target)`

  ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

  `addWorker, addWorker, addWorker, addWorker, addWorkspace, apply, cleanName, dependsOn, dependsOn, getCleanTask, getExecOperations, getLifecycleTask, isRoot, shouldDeprecateLifecycleTask, toGradleCommand, withDescription`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VisualStudioPlugin

    @Inject public VisualStudioPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator)

- ## Method Details

  - ### getLifecycleTaskName

    protected String getLifecycleTaskName()
    Specified by:
      `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

  - ### onApply

    protected void onApply(Project target)
    Overrides:
      `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`